{ lib, ... }:
{
  # Use the systemd-boot EFI boot loader.
  boot = {
    loader = {
      systemd-boot = {
        enable = lib.mkForce true;
        configurationLimit = 15;
        consoleMode = lib.mkDefault "max";
      };
      efi.canTouchEfiVariables = lib.mkForce false;
    };

    kernelParams = [
      "apple_dcp.show_notch=1"
      "melt_my_mac=1" # enable fan control
    ];

    extraModprobeConfig = ''
      options hid_apple iso_layout=0
    '';
    m1n1CustomLogo = ./NixOS.png;

    supportedFilesystems = [ "apfs" ];
  };
}
